import { EncoderDecoder } from '@iotize/common/converter/api';
import { CanMessageData, CanSignalMap } from './definitions';
export declare class CanMessageConverter<SignalMapType extends CanSignalMap = CanSignalMap> implements EncoderDecoder<CanMessageData<SignalMapType>, Uint8Array> {
    readonly options: {
        signals: SignalMapType;
    };
    constructor(options: {
        signals: SignalMapType;
    });
    encode(msg: CanMessageData<SignalMapType>): Uint8Array;
    decode(data: Uint8Array): CanMessageData<SignalMapType>;
}
